Name:           jpoker
Version:        1.0.16
Release:        2%{?dist}
Summary:        Client for playing online poker in a Web browser

Group:          Applications/Internet
License:        GPLv3+ and BSD and CC-BY-SA and AGPLv3 and (MIT or GPL+)
URL:            http://jspoker.pokersource.info/
Source0:        http://jspoker.pokersource.info/sources/%{name}-%{version}.tar.gz
Source1:        %{name}.conf
Patch1:         jpoker-1.0.16-ruby18.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  rubygems, inkscape, gettext, python-simplejson, libxml2-python
Requires:       rubygems

%description
jpoker is a client for playing online poker which runs in a Web browser. It
displays the list of poker tables, and when the user choses one, it is
displayed in the browser. The user can join the game and play hands. It
supports multi table tournaments. The poker server to which jpoker connects
must implement a protocol compatible with
http://pokersource.info/poker-network/. 


%prep
%setup -q
%patch1 -p1


%build
# nothing to build
make build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYRIGHT/* AUTHORS NEWS ChangeLog README.binary
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 02 2010 Jesse Keating <jkeating@redhat.com> - 1.0.16-1
- Update to 1.0.16
- Use the build target, which needs some buildrequires

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Jesse Keating <jkeating@redhat.com> - 1.0.14-1
- New upstream release
- Site change
- Update summary and description from upstream

* Sun Mar 23 2008 Jesse Keating <jkeating@redhat.com> - 1.0.9-1
- New upstream release
- Now GPLv3+
- Carry http config file as a source, no longer upstream
- Drop the need on php, no more php upstream

* Mon Dec 03 2007 Jesse Keating <jkeating@redhat.com> - 1.0.6-2
- Update license as there are no more BSD files.

* Wed Nov 28 2007 Jesse Keating <jkeating@redhat.com> - 1.0.6-1
- Initial package

